Page MenuHomePhabricator

Remove "public domain" license option from installer in favor of CC-Zero
Closed, ResolvedPublic

Description

Lately there's been issues where "public domain" isn't considered to be a proper license statement (e.g. http://wiki.spdx.org/view/Legal_Team/Decisions/Dealing_with_Public_Domain_within_SPDX_Files, etc.).

Since we already provide CC-0 as a license option, we should remove public domain. Plus it's a little confusing to have two public domain options right next to each other.

Event Timeline

Legoktm created this task.Jan 5 2016, 8:15 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: MediaWiki-Installer.
Legoktm added subscribers: Legoktm, saper, Ricordisamoa.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 5 2016, 8:15 PM

Change 266090 had a related patch set uploaded (by Legoktm):
installer: Remove "public domain" option in favor of CC-0

https://gerrit.wikimedia.org/r/266090

Nemo_bis triaged this task as Normal priority.Jan 24 2016, 6:51 PM
Nemo_bis set Security to None.

See also https://wiki.creativecommons.org/wiki/Public_Domain_Dedication_and_Certification «This legal tool has been retired. Please use CC0 instead» and https://wiki.creativecommons.org/wiki/CC0 «CC0 is a single purpose tool, designed to take on the dedication function of the former, deprecated Public Domain Dedication and Certification».

Change 266090 merged by jenkins-bot:
installer: Remove "public domain" option in favor of CC-0

https://gerrit.wikimedia.org/r/266090

Legoktm closed this task as Resolved.Sep 12 2018, 5:58 AM
Legoktm claimed this task.